//import {csv,scaleLinear}from 'd3';
import { tsv,scaleLinear } from 'd3';
var width=500,height=500;
/*var textScale = d3.scale.linear()
    .domain(d3.extent(dataset.content,function(d) { return d[columns.frequencyColumn]; } ))
    .range([5,100]);*/
//var wcScale=d3.scale.linear().range([10,60]);  

var fill = d3.scale.category20c();
d3.tsv("data.tsv",function(data){
  var wc=data
  	.filter(function(d) {return +d.frequency>0;})
  	.map(function(d) {return {text:d.Name, size:+d.frequency};})
  	//.sort(function(a,b){return d3.descending(a.size,b.size);})
  	//.slice(0,100);
  /*wcScale.domain([
    d3.min(wc,function(d){return d.size;}),
    d3.max(wc,function(d){return d.size;})
    ]);*/
  
  console.log(wc)
  
  const layout = d3.layout.cloud()
    .size([500, 500])
    .words(wc)
    .padding(2)
    // .rotate(function() { return ~~(Math.random() * 2) * 90; })
    .rotate(function() { return (~~(Math.random() * 6) - 3) * 30; })
    .font("Impact")
    .fontSize(function(d) { return (d.size); })
    .on("end", drawCloud)
		.start(); 
	
  
  function drawCloud(words) { 
    
    d3.select("#cloud").append("svg")
        .attr("width", 800)
        .attr("height", 500)
      .append("g")
        .attr("transform", "translate(" + 500 / 2 + "," + 500 / 2 + ")")
      .selectAll("text")
        .data(words)
      .enter().append("text")
        .style("font-size", function(d) { return d.size + "px"; })
        .style("font-family", "Impact")
        .style("fill", function(d, i) { return fill(i); })
        .attr("text-anchor", "middle")
        .attr("transform", function(d) {
          return "translate(" + [d.x, d.y] + ")rotate(" + d.rotate + ")";
        })
        .text(function(d) { return d.text; });
  };
  
      

});
//layout.start();//

  